Subject: bug#69889: Rclone is 4 years outdated

From: Adroit <[email-masked]>
Date: Tue, 19 Mar 2024 01:35:26 +0000

The package "rclone" has not been updated in a long time. I did not find any open bug reports about it.

I was brave and tried to run the latest myself using:
`guix build rclone --with-source=[email-masked]=./rclone-1.66.0.tar.gz`
With the latest source tarball from the Github release. The recipe (in sync.scm) uses a tar download rather than a git-fetch for some reason, so I wasn't able to reuse the recipe with --with-branch. (Btw --with-version would be nice to have, since the version's download URL is done correctly in the recipe.)

Unfortunately I ran into some obscure build error and don't know how to proceed as this is outside of my familiarity.